#!/bin/sh

# echo "51 Mount none network partitions" > /proc/progress
mount -t proc none /proc

if [ -d /devices ]
then
	mount -t devfs none /devices
fi

if grep usbdevfs /proc/filesystems
then
	mount -t usbdevfs none /proc/bus/usb
fi > /dev/null

mount -t tmpfs none /tmp -o size=500k

HOSTNAME=`sysflash -r serial | sed 's/-//'`
echo -n "Setting hostname to \"$HOSTNAME\":"
hostname $HOSTNAME
echo "done."
